Developers
API referenceReferenceAccounts

Accounts - List

List accounts for the selected business. Supports search by account number/name and filtering by type, usage, visibility, and tags.

GET
/v1/business/{business_slug}/account/

Path Parameters

business_slug*string

Business slug that scopes this request. If you do not have one yet, call common_accessible_businesses_list and pick a slug from the response.

Query Parameters

is_shown?boolean

If set to true, it will return accounts that are selected to be shown in the UI.

is_used?boolean

If set to true, it will return accounts that have at least one entry.

number?number

Filter accounts by exact numeric account number.

number_gte?number

Filter accounts by minimum numeric account number. Use together with number_lte for a bounded account range.

number_lte?number

Filter accounts by maximum numeric account number. Use together with number_gte for a bounded account range.

page?integer

A page number within the paginated result set.

page_size?integer

Number of results to return per page.

search?string

A search term.

The following fields are searched:

fieldmatch mode
numberprefix
namecontains
tags?number

Filter accounts by tags. Account will be shown if it has at least one associated document with the specified tag.

type?array<>

Filter accounts by account type enum values (for example ASS_PAY, LIA_DUE, REV_SAL, EXP).

  • ASS - Vastaavaa
  • ASS_DEP - Poistokelpoinen omaisuus
  • ASS_VAT - Arvonlisäverosaatava
  • ASS_REC - Siirtosaamiset
  • ASS_PAY - Pankkitili / käteisvarat
  • ASS_DUE - Myyntisaatavat
  • LIA - Vastattavaa
  • LIA_EQU - Oma pääoma
  • LIA_PRE - Edellisten tilikausien voitto
  • LIA_DUE - Ostovelat
  • LIA_DEB - Velat
  • LIA_ACC - Siirtovelat
  • LIA_VAT - Arvonlisäverovelka
  • REV - Tulot
  • REV_SAL - Liikevaihtotulot (myynti)
  • REV_NO - Verottomat tulot
  • EXP - Menot
  • EXP_DEP - Poistot
  • EXP_NO - Vähennyskelvottomat menot
  • EXP_50 - Puoliksi vähennyskelpoiset menot
  • EXP_TAX - Verotili
  • EXP_TAX_PRE - Ennakkoverot

Response Body

application/json

curl -X GET "https://example.com/v1/business/string/account/"
{  "count": 123,  "next": 2,  "prev": 1,  "size": 30,  "results": [    {      "id": 0,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "number": "string",      "padded_number": 0,      "name": "string",      "name_translations": [        {          "key": "string",          "value": "string"        }      ],      "header_id": 0,      "header_path": [        "string"      ],      "description": "string",      "type": "ASS",      "default_vat_code": 1,      "default_vat_rate": 0.1,      "default_vat_rate_label": "standard",      "opening_balance": 0.1,      "is_shown": true    }  ]}